//
//  CWBaseTabViewCell.swift
//  ClockWidget
//
//  Created by fff on 2024/11/12.
//


class TSBaseTabViewCell: UITableViewCell {
    
    lazy var bgContentView:UIView = {
        let view = UIView()
        view.backgroundColor = .clear
        return view
    }()
    
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        
        self.selectionStyle = .none
        self.backgroundColor = .clear
        self.addSubview(bgContentView)
        bgContentView.snp.makeConstraints { make in
            make.top.leading.trailing.bottom.equalTo(0)
        }
        creatUI()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func creatUI(){
        
    }
    
    deinit {
        debugPrint("<---deinit \(String(describing: self))")
    }
}
